import type { Placeholder, SQL, SQLWrapper } from "../sql/sql.js";
import type { MsSqlColumn } from "./columns/index.js";
export * from "../sql/expressions/index.js";
export declare function concat(column: MsSqlColumn | SQL.Aliased, value: string | Placeholder | SQLWrapper): SQL;
export declare function substring(column: MsSqlColumn | SQL.Aliased, { from, for: _for }: {
    from?: number | Placeholder | SQLWrapper;
    for?: number | Placeholder | SQLWrapper;
}): SQL;
